import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { useDesignStore } from "../../../../../store/modules/designStore/designStore.mjs";
import CreateModal from "./components/CreateModal/index.vue.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import { icon } from "../../../../../plugins/icon.mjs";
import { defineComponent, resolveComponent, openBlock, createElementBlock, createElementVNode as createBaseVNode, createBlock, withCtx, createVNode, withDirectives, Fragment } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { ref, unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
import { vShow } from "../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.mjs";
const _hoisted_1 = /* @__PURE__ */ createBaseVNode("span", null, " project.create_btn ", -1);
const _hoisted_2 = /* @__PURE__ */ createBaseVNode("span", null, " create_btn ", -1);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    collapsed: Boolean
  },
  setup(__props) {
    const { DuplicateIcon, DuplicateOutlineIcon } = icon.ionicons5;
    const designStore = useDesignStore();
    const modalShow = ref(false);
    const clickHandle = () => {
      modalShow.value = true;
    };
    const closeHandle = () => {
      modalShow.value = false;
    };
    return (_ctx, _cache) => {
      const _component_n_icon = resolveComponent("n-icon");
      const _component_n_button = resolveComponent("n-button");
      const _component_n_tooltip = resolveComponent("n-tooltip");
      return openBlock(), createElementBlock(Fragment, null, [
        createBaseVNode("div", { onClick: clickHandle }, [
          __props.collapsed ? (openBlock(), createBlock(_component_n_tooltip, {
            key: 0,
            placement: "right",
            trigger: "hover"
          }, {
            trigger: withCtx(() => [
              createVNode(_component_n_button, {
                ghost: "",
                type: "primary",
                size: "small"
              }, {
                icon: withCtx(() => [
                  createVNode(_component_n_icon, null, {
                    default: withCtx(() => [
                      withDirectives(createVNode(unref(DuplicateOutlineIcon), null, null, 512), [
                        [vShow, unref(designStore).getDarkTheme]
                      ]),
                      withDirectives(createVNode(unref(DuplicateIcon), null, null, 512), [
                        [vShow, !unref(designStore).getDarkTheme]
                      ])
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ]),
            default: withCtx(() => [
              _hoisted_1
            ]),
            _: 1
          })) : (openBlock(), createBlock(_component_n_button, {
            key: 1,
            ghost: "",
            type: "primary"
          }, {
            icon: withCtx(() => [
              createVNode(_component_n_icon, null, {
                default: withCtx(() => [
                  withDirectives(createVNode(unref(DuplicateOutlineIcon), null, null, 512), [
                    [vShow, unref(designStore).getDarkTheme]
                  ]),
                  withDirectives(createVNode(unref(DuplicateIcon), null, null, 512), [
                    [vShow, !unref(designStore).getDarkTheme]
                  ])
                ]),
                _: 1
              })
            ]),
            default: withCtx(() => [
              _hoisted_2
            ]),
            _: 1
          }))
        ]),
        createVNode(unref(CreateModal), {
          show: modalShow.value,
          onClose: closeHandle
        }, null, 8, ["show"])
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
